|  | Home · All Classes · Modules

# QStyleFactory Class Reference
[QtGui module]

The QStyleFactory class creates QStyle objects. More...

### Methods

- __init__ (self)
- __init__ (self, QStyleFactory)

### Static Methods

- QStyle create (QString)
- QStringList keys ()

## Detailed Description

The QStyleFactory class creates QStyle objects.

The QStyle class is an abstract base class that encapsulates the look and feel of a GUI. QStyleFactory creates a QStyle object using the create() function and a key identifying the style. The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

The valid keys can be retrieved using the keys() function. Typically they include "windows", "motif", "cde", "plastique" and "cleanlooks". Depending on the platform, "windowsxp", "windowsvista" and "macintosh" may be available. Note that keys are case insensitive.

## Method Documentation

### QStyleFactory.__init__ (self)

### QStyleFactory.__init__ (self, QStyleFactory)

### QStyle QStyleFactory.create (QString)

Creates and returns a QStyle object that matches the given key, or returns 0 if no matching style is found.

Both built-in styles and styles from style plugins are queried for a matching style.

Note: The keys used are case insensitive.

See also keys().

### QStringList QStyleFactory.keys ()

Returns the list of valid keys, i.e. the keys this factory can create styles for.

See also create().